Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
ezmessage/user/messageedit.php File Reference

Go to the source code of this file.

## Variables
| $MessageSent = false
if(isset( $SendMessage)) | $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZMessageMain", "Language" )
| $t
| $locale = new eZLocale( $Language )
| $Receiver = eZHTTPTool::getVar( "Receiver")
| $Subject = eZHTTPTool::getVar( "Subject" )
| $Description = eZHTTPTool::getVar( "Description" )
| $Reply = eZHTTPTool::getVar( "Reply" )
| $Edit = eZHTTPTool::getVar( "Edit" )
| $Preview = eZHTTPTool::getVar( "Preview" )
| $mes = new eZMessage( )
if(isSet( $Reply)) if( $MessageSent==true) else if(!isset( $Preview)||isset( $Edit)) | else
| $users = explode( ",", $Receiver )
| $usersValid = true

## Variable Documentation

## ◆ $Description

$Description = eZHTTPTool::getVar( "Description" )

Definition at line 118 of file ezmessage/user/messageedit.php.

## ◆ $Edit

$Edit = eZHTTPTool::getVar( "Edit" )

Definition at line 120 of file ezmessage/user/messageedit.php.

## ◆ $ini

if (isset($SendMessage)) $ini =& eZINI::instance( 'site.ini' )

Definition at line 96 of file ezmessage/user/messageedit.php.

## ◆ $Language

$Language = $ini->variable( "eZMessageMain", "Language" )

Definition at line 97 of file ezmessage/user/messageedit.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 101 of file ezmessage/user/messageedit.php.

## ◆ $mes

$mes = new eZMessage( )

Definition at line 127 of file ezmessage/user/messageedit.php.

## ◆ $MessageSent

$MessageSent = false

Definition at line 38 of file ezmessage/user/messageedit.php.

## ◆ $Preview

$Preview = eZHTTPTool::getVar( "Preview" )

Definition at line 121 of file ezmessage/user/messageedit.php.

## ◆ $Receiver

$Receiver = eZHTTPTool::getVar( "Receiver")

Definition at line 116 of file ezmessage/user/messageedit.php.

## ◆ $Reply

$Reply = eZHTTPTool::getVar( "Reply" )

Definition at line 119 of file ezmessage/user/messageedit.php.

## ◆ $Subject

$Subject = eZHTTPTool::getVar( "Subject" )

Definition at line 117 of file ezmessage/user/messageedit.php.

Referenced by save_mail().

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezmessage/user/" . $ini->variable( "eZMessageMain", "TemplateDir" ),
"kernel/ezmessage/user/intl", $Language, "messageedit.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: ezmessage/user/messageedit.php:97
$ini
if(isset( $SendMessage)) $ini
Definition: ezmessage/user/messageedit.php:96

Definition at line 98 of file ezmessage/user/messageedit.php.

## ◆ $users

$users = explode( ",", $Receiver )

Definition at line 170 of file ezmessage/user/messageedit.php.

## ◆ $usersValid

$usersValid = true

Definition at line 173 of file ezmessage/user/messageedit.php.

## ◆ else

foreach ($users as $user) if ($usersValid==true) else

Initial value:
{
if ( substr( trim( $Receiver ) ,strlen( trim( $Receiver ) ) -1 ) == "," )
$Receiver = substr( trim( $Receiver ) , 0, strlen( trim( $Receiver ) ) -1 )
$Receiver
$Receiver
Definition: ezmessage/user/messageedit.php:116

Definition at line 165 of file ezmessage/user/messageedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.